// 
//
// IwGame - Cross Platform Multi-purpose Game Engine using the Marmalade SDK
//
// Developed by Matthew Hopwood of Pocketeers Limited - www.pocketeers.co.uk
//
// For updates, tutorials and more details check out my blog at www.drmop.com
//
// This code is provided free of charge and without any warranty whatsoever. The only restriction to its usage is that this header must remain intact and visible in all IwGame engine files.
// If you use this engine in your product, whilst it is not mandatory, a mention of the IwGame engine would be nice or a quick email to let us know where it is being used.
//
//

#if !defined(_CIW_GAME_FONT_H_)
#define _CIW_GAME_FONT_H_

#include "IwGxFont.h"
#include "IwGameUtil.h"
#include "IwGameXoml.h"

class CIwGameXomlResourceManager;

//
//
//
//
// CIwGameFont - Represents a text rendering font
//
//
//
//
class CIwGameFont : public IIwGameXomlResource
{
public:
	// Properties
protected:
	CIwGxFont*				Font;				// IwGxFont
public:
	CIwGxFont*				getFont()								{ return Font; }
	// Properties End
protected:

public:
	CIwGameFont() : IIwGameXomlResource(), Font(NULL)	{ setClassType("font"); }
	virtual ~CIwGameFont()
	{
	}

	void			Init(const char* ResourceName, CIwResGroup* resource_group)		// Init a font from a font resource located within a resource group
	{
		Font = (CIwGxFont*)resource_group->GetResHashed(NameHash, "CIwGxFont");
	}

	// Implementation of IIwGameXomlClass interface
	bool			LoadFromXoml(IIwGameXomlResource* parebt, bool load_children, CIwGameXmlNode* node);
};

//
//  CIwGameFontCreator - Creates an instance of a font object
//
class CIwGameFontCreator : public IIwGameXomlClassCreator
{
public:
	CIwGameFontCreator()
	{
		setClassName("font");
	}
	IIwGameXomlResource*	CreateInstance(IIwGameXomlResource* parent)	{ return new CIwGameFont(); }
};

#endif	// _CIW_GAME_FONT_H_
